Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class ECDomainParameters

    java.lang.Object
      org.bouncycastle.crypto.params.ECDomainParameters

All Implemented Interfaces:
  org.bouncycastle.math.ec.ECConstants

    public class ECDomainParameters

extends java.lang.Object
implements org.bouncycastle.math.ec.ECConstants

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n)`
`ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
`ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

Method Summary
`org.bouncycastle.math.ec.ECCurve` | `getCurve()`
`org.bouncycastle.math.ec.ECPoint` | `getG()`
`java.math.BigInteger` | `getH()`
`java.math.BigInteger` | `getN()`
`byte[]` | `getSeed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECDomainParameters

    public ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve,
                              org.bouncycastle.math.ec.ECPoint G,
                              java.math.BigInteger n)

### ECDomainParameters

    public ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve,
                              org.bouncycastle.math.ec.ECPoint G,
                              java.math.BigInteger n,
                              java.math.BigInteger h)

### ECDomainParameters

    public ECDomainParameters(org.bouncycastle.math.ec.ECCurve curve,
                              org.bouncycastle.math.ec.ECPoint G,
                              java.math.BigInteger n,
                              java.math.BigInteger h,
                              byte[] seed)

Method Detail

### getCurve

    public org.bouncycastle.math.ec.ECCurve getCurve()

### getG

    public org.bouncycastle.math.ec.ECPoint getG()

### getN

    public java.math.BigInteger getN()

### getH

    public java.math.BigInteger getH()

### getSeed

    public byte[] getSeed()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD